建议使用以下浏览器,以获得最佳体验。 IE 9.0+以上版本 Chrome 31+ 谷歌浏览器 Firefox 30+ 火狐浏览器
请选择 进入手机版 | 继续访问电脑版
设置昵称

在此一键设置昵称,即可参与社区互动!

确定
我再想想
选择版块

五湖四海

发帖: 71粉丝: 15

级别 : 中级会员

Rank: 3Rank: 3

发消息 + 关注

发表于2019-8-19 11:50:27 1665 3
直达本楼层的链接
楼主
显示全部楼层
[干货分享] ARM系统对应rpm包的使用注意事项

【总体注意事项】对于ARM服务器,aarch64操作系统的rpm包优先使用iso镜像中自带的rpm包作为yum源(安装系统中选择带GUI或带图形化界面的系统,并确保包含iso自带的rpm包),iso中没有的rpm则可以从对应操作系统官方远程yum源获取rpm包,系统中安装了非版本配套的rpm包,将可能导致软件编译移植和运行过程中出现无法预料的异常难解问题;



如下列举部分操作系统yum源使用的例子,其他系统可以此参考配置:


1、CentOS 7.6 aarch64系统

关于CentOS 7.6的aarch64版本的yum源,建议优先使用iso系统镜像自带的“Packages”中的rpm包进行安装,对于在系统iso镜像自带“Packages”中无法找到的rpm包则使用如下CentOS官方的远程yum源http://mirror.centos.org/altarch/7/

非CentOS aarch64的rpm不建议直接使用,这些rpm包可能使用中存在兼容问题,在编译过程和软件运行过程都有可能出现无法预料的异常问题;


2、中标麒麟7.5 aarch64系统

关于中标麒麟7.5的aarch64版本的yum源,建议优先使用iso系统镜像自带的“Packages”中的rpm包进行安装,对于在系统iso镜像自带“Packages”中无法找到的rpm包则使用如下中标麒麟官方的远程yum源http://download.cs2c.com.cn/neokylin/desktop/everything/7.0/aarch64/os/Packages/

非中标麒麟aarch64的rpm不建议直接使用,这些rpm包可能使用中存在兼容问题,在编译过程和软件运行过程都有可能出现无法预料的异常问题;


3、openSUSE-Leap 15.1

关于openSUSE-Leap 15.1的aarch64版本的yum源,建议优先使用iso系统镜像自带的“aarch64”中的rpm包进行安装,对于在系统iso镜像自带“aarch64”中无法找到的rpm包则使用如下中标麒麟官方的远程yum源https://download.opensuse.org/ports/update/leap/15.1/oss/aarch64/

openSUSE-Leap aarch64的rpm不建议直接使用,这些rpm包可能使用中存在兼容问题,在编译过程和软件运行过程都有可能出现无法预料的异常问题;


举报
分享

分享文章到朋友圈

分享文章到微博

阿奇@汪汪...

发帖: 40粉丝: 18

级别 : 版主

Rank: 7Rank: 7Rank: 7

发消息 + 关注

发表于2019-8-19 21:04:16
直达本楼层的链接
沙发
显示全部楼层

非适配过的aarch64安装包及软件,建议下载源码在aarch64上编译然后install

点赞 评论 引用 举报

五湖四海

发帖: 71粉丝: 15

级别 : 中级会员

Rank: 3Rank: 3

发消息 + 关注

发表于2019-9-21 10:54:21
直达本楼层的链接
板凳
显示全部楼层

CentOS、Euler、中标麒麟等redhat系的操作系统还可以使用epel的远程域名源,在/etc/yum.repos.d/路径下创建epel.repo文件,在epel.repo文件中写入如下内容,然后执行yum makecache即可使用:


[epel] 

name=epel 

baseurl=http://macports.pnl.gov/epel/7/aarch64/ 

enabled=1 

gpgcheck=0 


点赞 评论 引用 举报

五湖四海

发帖: 71粉丝: 15

级别 : 中级会员

Rank: 3Rank: 3

发消息 + 关注

发表于2019-9-23 09:31:04
直达本楼层的链接
地板
显示全部楼层

4、中标麒麟7.6 aarch64系统

关于中标麒麟7.6的aarch64版本的yum源,建议优先使用iso系统镜像自带的“Packages”中的rpm包进行安装,对于在系统iso镜像自带“Packages”中无法找到的rpm包则使用如下中标麒麟官方的远程yum源http://download.cs2c.com.cn/neokylin/desktop/everything/7.0/aarch64/os/Packages/

非中标麒麟aarch64的rpm不建议直接使用,这些rpm包可能使用中存在兼容问题,在编译过程和软件运行过程都有可能出现无法预料的异常问题;


点赞 评论 引用 举报

游客

富文本
Markdown
您需要登录后才可以回帖 登录 | 立即注册